<div class="d-flex justify-content-center">
  <div class="col-8">
    <form name="editForm" role="form" novalidate (ngSubmit)="save()" [formGroup]="editForm">
      <h2 id="jhi-iteracion-alumno-heading" data-cy="IteracionAlumnoCreateUpdateHeading">Create or edit a Iteracion Alumno</h2>

      <div>
        <jhi-alert-error></jhi-alert-error>

        <div class="row mb-3" [hidden]="editForm.get('id')!.value == null">
          <label class="form-label" for="field_id">ID</label>
          <input type="number" class="form-control" name="id" id="field_id" data-cy="id" formControlName="id" [readonly]="true" />
        </div>

        <div class="row mb-3">
          <label class="form-label" for="field_actividad">Actividad</label>
          <input type="text" class="form-control" name="actividad" id="field_actividad" data-cy="actividad" formControlName="actividad" />
        </div>

        <div class="row mb-3">
          <label class="form-label" for="field_terminado">Terminado</label>
          <input type="number" class="form-control" name="terminado" id="field_terminado" data-cy="terminado" formControlName="terminado" />
        </div>

        <div class="row mb-3">
          <label class="form-label" for="field_iteracion">Iteracion</label>
          <select class="form-control" id="field_iteracion" data-cy="iteracion" name="iteracion" formControlName="iteracion">
            <option [ngValue]="null"></option>
            <option
              [ngValue]="iteracionOption.id === editForm.get('iteracion')!.value?.id ? editForm.get('iteracion')!.value : iteracionOption"
              *ngFor="let iteracionOption of iteracionsSharedCollection; trackBy: trackIteracionById"
            >
              {{ iteracionOption.id }}
            </option>
          </select>
        </div>

        <div class="row mb-3">
          <label class="form-label" for="field_alumno">Alumno</label>
          <select class="form-control" id="field_alumno" data-cy="alumno" name="alumno" formControlName="alumno">
            <option [ngValue]="null"></option>
            <option
              [ngValue]="alumnoOption.id === editForm.get('alumno')!.value?.id ? editForm.get('alumno')!.value : alumnoOption"
              *ngFor="let alumnoOption of alumnosSharedCollection; trackBy: trackAlumnoById"
            >
              {{ alumnoOption.id }}
            </option>
          </select>
        </div>
      </div>

      <div>
        <button type="button" id="cancel-save" data-cy="entityCreateCancelButton" class="btn btn-secondary" (click)="previousState()">
          <fa-icon icon="ban"></fa-icon>&nbsp;<span>Cancel</span>
        </button>

        <button
          type="submit"
          id="save-entity"
          data-cy="entityCreateSaveButton"
          [disabled]="editForm.invalid || isSaving"
          class="btn btn-primary"
        >
          <fa-icon icon="save"></fa-icon>&nbsp;<span>Save</span>
        </button>
      </div>
    </form>
  </div>
</div>
